// src/components/About_us_card_content.js
import React, { useEffect } from "react";
import "./About_us_card_content.css";
import About_Us_Card from "./about_us_card/About_us_card";
import { useDispatch, useSelector } from "react-redux";
import { getContent } from "../../../features/aboutus/aboutusSlice";





function About_us_card_content() {

  const cardContent = useSelector((state) => state.aboutus.content);
  const dispatch = useDispatch();
  useEffect(() => {
    dispatch(getContent());
  }, [dispatch]);
  return (
    <section className="About_us_card_content">
      <div className="container-fluid">
        <About_Us_Card cards={cardContent} />
      </div>
    </section>
  );
}

export default About_us_card_content;
